Bug 1600090 - Bad license in doc/jp/Class-Data-Inheritable.pod
Summary: Bad license in doc/jp/Class-Data-Inheritable.pod
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Class-Data-Inheritable
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-11 11:58 UTC by Petr Pisar
Modified: 2018-12-07 21:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 21:18:30 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 29648 None None None 2018-07-11 11:58:46 UTC

Description Petr Pisar 2018-07-11 11:58:47 UTC
doc/jp/Class-Data-Inheritable.pod from Class-Data-Inheritable-0.08 as found in Fedora 29 is "Artistic only":

Copyright (c) 2000, Damian Conway and Michael G Schwern. All Rights Reserved. This module is free software. It may be used, redistributed and/or modified under the terms of the Perl Artistic License (see http://www.perl.com/perl/misc/Artistic.html)

I added a comment to an upstream bug report (CPAN RT#29648).

Fedora must remove the file from the source archive or the upstream change the license.

Comment 1 Jan Kurik 2018-08-14 09:54:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Tom "spot" Callaway 2018-12-07 21:18:30 UTC
Fixed in rawhide: perl-Class-Data-Inheritable-0.08-30.fc30

Should there ever be a need to push an update to stable branches older than that, it will be inherited into that fix, but I suspect that is unlikely.


Note You need to log in before you can comment on or make changes to this bug.